mintreport (1.4.0) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:02:00 +0200

mintreport (1.3.9) victoria; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 11:47:04 +0100

mintreport (1.3.8) victoria; urgency=medium

  [ Axel ]
  * Switch to headerbar (#91)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Jun 2023 15:10:18 +0100

mintreport (1.3.7) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:30:01 +0000

mintreport (1.3.6) vanessa; urgency=medium

  * Run mintdrivers without admin rights

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Sep 2022 09:36:29 +0100

mintreport (1.3.5) vanessa; urgency=medium

  [ Michael Webster ]
  * tray: Be more discerning when monitoring process names.
  * tray.py: Fix unintentionally stopping process monitors after an initial match.
  * test script: add argument to test the tray instead of the app.
  * tray: Catch psutil exceptions when monitoring processes.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:54:21 +0100

mintreport (1.3.4) vanessa; urgency=medium

  [ Michael Webster ]
  * Revert "crashes: Use json for coredumpctl, to avoid any further breaks"

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:10:24 +0200

mintreport (1.3.3) vanessa; urgency=medium

  * Drivers: Initialize the APT cache

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Jul 2022 08:55:53 +0200

mintreport (1.3.2) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:19:05 +0200

mintreport (1.3.1) vanessa; urgency=medium

  [ Michael Webster ]
  * mintreport.py: Use a nested Gtk main loop when performing installs or removals.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:36:56 +0200

mintreport (1.3.0) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2022 15:58:39 +0200

mintreport (1.2.9) vanessa; urgency=medium

  [ Clement Lefebvre ]
  * tray: Add a process monitor
  * l10n: Update POT

  [ Michael Webster ]
  * load_crashes: Accept a variable number of columns from 'journalctl list'.
  * crashes: Use json for coredumpctl, to avoid any further breaks due to human-readable output changing.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 10:51:57 +0200

mintreport (1.2.8) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:50:20 +0000

mintreport (1.2.7) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:39:29 +0000

mintreport (1.2.6) una; urgency=medium

  [ Michael Webster ]
  * drivers report: Run driver detection in a child process to reduce memory bloat.
  * tray.py: Change how mint-report is launched.
  * Add a report for usrmerge.
  * usrmerge: It's not necessary to tell the user to click more info, they see the button.
  * usrmerge: Don't skip lmde4 because of its low RELEASE value.
  * drivers: Don't complain when the driver check fails and we're on lmde.
  * Don't ignore any LMDE versions instead of just debbie.

  [ Clement Lefebvre ]
  * tray: Only refresh once a day
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Nov 2021 14:08:16 +0000

mintreport (1.2.5) uma; urgency=medium

  [ Musa Unal ]
  * Update Readme (#76)

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 14:23:32 +0100

mintreport (1.2.4) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:32:43 +0100

mintreport (1.2.3) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 16:51:50 +0000

mintreport (1.2.2) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Generate files
  * timeshift: Test new /etc/timeshift/timeshift.json path

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Dec 2020 11:07:51 +0000

mintreport (1.2.1) ulyana; urgency=medium

  * Add a test to detect new major releases

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2020 16:00:28 +0100

mintreport (1.2.0) ulyana; urgency=medium

  * codecs: Fix installing mint-meta-codecs in Mint 20

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 18:48:55 +0100

mintreport (1.1.9) ulyana; urgency=medium

  [ Michael Webster ]
  * Add report for blocked status notifier. (#53)

  [ Clement Lefebvre ]
  * app-indicator: Rephrase report, uninstall all at once
  * l10n: Update POT
  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 11:47:35 +0100

mintreport (1.1.8) ulyana; urgency=medium

  * Tray: Always show the same icon
  * test: Don't remove reports from other packages
  * Add a symbolic icon for mintreport
  * Remove unused files
  * Rephrase problem -> report
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 May 2020 14:58:11 +0100

mintreport (1.1.7) ulyana; urgency=medium

  [ theshoals ]
  * Add a missing 'time' import
  * Lazily initialize cache data from apt

  [ Clement Lefebvre ]
  * Fix deprecation in Mint 20
  * Fix GTK warnings
  * Update README.md
  * l10n: Update translations
  * l10n: Generate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 11:50:03 +0100

mintreport (1.1.6) tricia; urgency=medium

  [ Michael Webster ]
  * 900_drivers: Handle missing vendor/model info more gracefully.
  * all: rename async wrapper, in python 3.7+ it is a keyword to define coroutines.

  [ Clement Lefebvre ]
  * 900_drivers: Ignore devices marked as manual_install
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Jan 2020 16:39:03 +0000

mintreport (1.1.5) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 10:57:30 +0000

mintreport (1.1.4) tricia; urgency=medium

  * Remove root password check

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Dec 2019 13:15:07 +0000

mintreport (1.1.3) tricia; urgency=medium

  * Root password: Make dismissing the report less confusing
  * l10n: Update POT
  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:10:17 +0000

mintreport (1.1.2) tricia; urgency=medium

  * Drivers: Ignore VMware and Virtualbox recommendations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2019 15:59:40 +0000

mintreport (1.1.1) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:31:35 +0000

mintreport (1.1.0) tricia; urgency=medium

  * Modernize info reports system
  * UI: Move info reports above crash reports
  * Remove obsolete file
  * l10n: Update POT
  * Info reports: Reload after an action is clicked
  * Turn the app into an autolaunched singleton with a status tray
  * Add a menubar
  * Exit in tray mode when no info reports are present
  * UI: Fix stack right-margin
  * Build: Inject version number in about dialog
  * Fix tray mode showing window on current instance
  * Fix process checks
  * Split tray and window processes
  * UI: Move info reports to top
  * UI: Don't use needs-attention
  * Reword info reports tab and use a warning icon
  * Restore the ability to ignore reports
  * Tray: Ignore ignored reports
  * tray: Don't waste time if there are more than 1 pertinent report..
  * Create an abstract class for reports to extend
  * Add a report to check missing language packs
  * l10n: Update POT
  * Add test and define gtk version in some of the reports
  * Start implementing reports for missing root password and drivers
  * Finish implementation of the drivers report
  * Let reports tell the app whether or not to reload
  * Load reports alphabetically
  * Prefix reports and use uuids for the ignore list
  * Let user refresh infor reports
  * Let user restore ignored reports
  * Reload everything when refreshing
  * Add a spinner and a done page
  * Finish implementing the root password report
  * UI: Give the reports viewport the view style
  * Select the first report
  * Add a report to check for new releases
  * Add a report to detect release EOL
  * l10n: Don't put markup in msgid
  * Remove obsolete file
  * Don't run tray in live and guest sessions
  * Cleanup imports
  * l10n: Update POT
  * Cleanup imports
  * Fix load_info only running twice
  * Make autorefresh rate configurable in gsettings
  * Fixes in EOL and drivers checks
  * Add a loading label
  * Move gettext domain path to /usr/share/locale
  * l10n: Update POT
  * l10n: Add translations
  * UI: Make the spinner bigger
  * StatusIcon: Use newer signals
  * InfoReport: Add a data argument into the callback
  * Remove obsolete HTML resources
  * Remove obsolete code
  * Add a test to check the presence of an Xapp Status applet
  * Let mintreport work without XAppStatusIcon
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 17:28:56 +0100

mintreport (1.0.9) tina; urgency=medium

  * Remove f-strings
  * install-media-codecs: Fix pkg name in LMDE
  * Remove python3.6 code
  * Fix coredumpctl call in LMDE

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 11:02:34 +0200

mintreport (1.0.8) tina; urgency=medium

  [ Clement Lefebvre ]
  * Coredump: Don't check subprocess.run when calling coredumpctl

  [ JosephMcc ]
  * ui: Don't use scaled down text (#26)

  [ Stephen Collins ]
  * Crash report: sort timestamp properly (#28)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 15:26:57 +0200

mintreport (1.0.7) tina; urgency=medium

  [ Clement Lefebvre ]
  * Add a system info page
  * UI: Use an XAppStackSidebar
  * Packaging: Depend on inxi
  * l10n: Update POT
  * UI: Make window wider and ask inxi not to split output
  * Sysinfo: Handle errors around subprocess.check_output()
  * Sysinfo: On upload copy link to clipboard instead of launching the browser
  * Sysinfo: Add bbcode code tags when copying content
  * Sysinfo: Add more info into some of the msgids
  * l10n: Update POT
  * Fix generate_desktop_files
  * Switch to systemd-coredump for crash reports
  * Don't depend on systemd-coredump
  * Add inxi output to error report

  [ Noah Wood ]
  * Fixed spelling error (#23)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * Store inxi output in a tmp file
  * Add --usb flag to inxi call
  * l10n: Fix msgid

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Mar 2019 14:27:37 +0000

mintreport (1.0.6) tara; urgency=medium

  [ monsta ]
  * count eom as MATE package, not eog (#5)

  [ Clement Lefebvre ]
  * Timeshift: Use pkexec
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2018 12:15:48 +0100

mintreport (1.0.5) sylvia; urgency=medium

  * Add missing dependency on gir1.2-webkit-3.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2017 09:57:28 +0000

mintreport (1.0.4) sylvia; urgency=medium

  [ Eduardo Orochena ]
  * replaced os module with the subprocess one

  [ Clement Lefebvre ]
  * Info reports: Close newly written file before reading it.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Nov 2017 15:56:13 +0000

mintreport (1.0.3) sylvia; urgency=medium

  * l10n: Fix locale not set in UI

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Nov 2017 11:29:27 +0000

mintreport (1.0.2) sylvia; urgency=medium

  * l10n: Generate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 04 Nov 2017 11:45:51 +0000

mintreport (1.0.1) sylvia; urgency=medium

  * l10n: Add POT file and include UI file in makepot
  * test: Don't run mintreport with admin privs
  * Set some margins in the stack trace textview widget
  * Add more info into bug report and create an archive that people can upload
  * Add the ability to open the crash report
  * Add a button to open the bugtracker
  * Rename files button to "Local Files"
  * Warn the user when debug symbols are missing.
  * Add support for Python traceback
  * Add syntax highlighting and full threaded bt support
  * Add a pastebin button
  * Set process name via setproctitle
  * Multithread application
  * Add a spinner a stack and an animation.
  * Create README.md
  * Improve button tooltips and add labels to explain what's expected when seeking help.
  * l10n: Update POT file
  * Show a message when the executable is missing
  * Show a message in case of lib/code mismatch.
  * Show a message when a .crash file only has root permissions.
  * Fix ordering by date
  * Add the ability to delete crash reports
  * l10n: Update POT file
  * Add info reports
  * Update README.md
  * Add the ability to delete info reports
  * Info reports: Render HTML with font awesome and bulma css
  * Set the info stack to require attention when info reports are present
  * Use templates to generate info reports
  * Remove report about nemo-media-columns (fixed by mtwebster ;))
  * l10n: Update POT file
  * Add install-media-codecs report

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 12:56:44 +0100

mintreport (1.0.0) sylvia; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  12 Sep 2017 16:13:00 +0000

